#
# spec file for package libmpeg2
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define libname libmpeg2-0
%define libconvertname libmpeg2convert0

Name:           libmpeg2
Summary:        MPEG-2 Video Stream Decoder
License:        GPL-2.0+
Group:          System/Libraries
Url:            http://libmpeg2.sourceforge.net/
Version:        0.5.1
Release:        3.7
Source:         http://libmpeg2.sourceforge.net/files/libmpeg2-%{version}.tar.gz 
Patch0:         libmpeg2-0.5.1-altivec.patch
Patch1:         libmpeg2-0.5.1-arm-private-symbols.patch
Patch2:         libmpeg2-0.5.1-global-symbol-test.patch
Provides:       libmpeg22_0
Obsoletes:      libmpeg22_0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  SDL-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  pkgconfig

%description
libmpeg2 is a free library for decoding mpeg-2 and mpeg-1 video streams. It is
released under the terms of the GPL license.

%package -n %libname
Summary:        MPEG-2 Video Stream Decoder
Group:          System/Libraries

%description -n %libname
libmpeg2 is a free library for decoding mpeg-2 and mpeg-1 video streams. It is
released under the terms of the GPL license.

%package -n %libconvertname
Summary:        MPEG-2 Video Stream Decoder
Group:          System/Libraries

%description -n %libconvertname
libmpeg2 is a free library for decoding mpeg-2 and mpeg-1 video streams. It is
released under the terms of the GPL license.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}
Requires:       %{libconvertname} = %{version}
Requires:       SDL-devel

%description devel
Include Files and Libraries mandatory for libmpeg2 Development

%package -n mpeg2dec
Summary:        MPEG-2 Decoder
Group:          Productivity/Multimedia/Video/Editors and Convertors
Requires:       %{libname} = %{version}
Requires:       %{libconvertname} = %{version}

%description -n mpeg2dec
A MPEG2Decoder based on the libmpeg2 libraries.

%prep
%setup -q
%patch0
%patch1 -p1
%patch2 -p1

%build
autoreconf -vi
%configure \
	--disable-static \
	--disable-dependency-tracking \
	--enable-sdl \
	--enable-x
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -name *.la -delete

%post -n %libname -p /sbin/ldconfig
%postun -n  %libname -p /sbin/ldconfig
%post -n %libconvertname -p /sbin/ldconfig
%postun -n  %libconvertname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS COPYING  README ChangeLog NEWS TODO
%{_libdir}/libmpeg2.so.*

%files -n %libconvertname
%defattr(-,root,root)
%{_libdir}/libmpeg2convert.so.*

%files devel
%defattr(-,root,root)
%doc doc/*.txt doc/*.c
%dir %{_includedir}/mpeg2dec
%{_includedir}/mpeg2dec/mpeg2.h
%{_includedir}/mpeg2dec/mpeg2convert.h
%{_libdir}/libmpeg2.so
%{_libdir}/libmpeg2convert.so
%{_libdir}/pkgconfig/libmpeg2.pc
%{_libdir}/pkgconfig/libmpeg2convert.pc

%files -n mpeg2dec
%defattr(-,root,root)
%{_bindir}/extract_mpeg2
%{_bindir}/corrupt_mpeg2
%{_bindir}/mpeg2dec
%{_mandir}/man1/mpeg2dec.1*
%{_mandir}/man1/extract_mpeg2.1*

%changelog
* Sat Oct  4 2014 olaf@aepfle.de
- Split libmpeg2convert0 to cover old pkg from VideoLAN
* Fri Jul  5 2013 scarabeus@opensuse.org
- Format the spec file.
* Fri Jul  5 2013 scarabeus@opensuse.org
- Cleanup the spec file to comply suse standards.
- Apply patches for ppc and arm to work on those archs.
* Mon Aug 24 2009 henne@links2linux.de
- Fix some build errors by removing stuff from %%doc
- specfile cleanup
* Mon Sep 29 2008 detlef@links2linux.de
- fix shared lib policy
* Sat Aug 30 2008 detlef@links2linux.de
- new upstream version <0.5.1>
  * fix broken installation of headers
  * put back /mpeg2dec in the .pc file's include path
* Tue Apr  4 2006 henne@links2linux.de
- more x86_64 fixes.
* Sun Feb 20 2005 rainer@links2linux.de
- changes for 64 bit
* Tue Nov  9 2004 rainer@links2linux.de
- removed source from package
